Retrieve Deal Information

This method returns detailed information about a specific deal identified by its unique ID.
Provide your bearer token in the Authorization header when making requests to protected resources. Example: Authorization: Bearer 123.

Path Params
string
required

The InHouse DealID or legacy ID of the deal to retrieve.

Headers
string
required

Bearer token for authenticating the request. Example: Authorization: Bearer 123.

Responses

{
  "_id": "123e4567-e89b-12d3-a456-426614174000",
  "orderId": "ORD123456",
  "projectId": "123e4567-e89b-12d3-a456-426614174000",
  "currencyFrom": { ... },
  "currencyTo": { ... },
  "exchangePair": "BTC/USD",
  "direction": "C2F",
  "amount": 1000.00,
  "status": { ... },
  "amounts": { ... },
  "metadata": { ... }
}

{
  "error": "ERROR_ACCESS_TOKEN_INVALID",
  "message": "Access token is invalid.",
  "statusCode": 400
}

{
  "error": "ERROR_TOKEN_EXPIRED",
  "message": "Access token has expired.",
  "statusCode": 401
}
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json